#!/bin/csh

cd /data/fxa/laps_data/static
rm -f nest7grid.parms
cp /home/fxa/laps_parms/nest7grid.parms.10km nest7grid.parms
cd /data/fxa/laps/static
rm -f nest7grid.parms
cp /home/fxa/laps_parms/nest7grid.parms.10km nest7grid.parms
cd /data/fxa/laps
rm -rf cdl
rm -rf lapsprd
cd /home/fxa/data/localization
cd nationalData
rm gridSourceTable.template
cp /home/fxa/laps_parms/gridSourceTable.template.10km gridSourceTable.template
cd ../scripts
./mainScript.csh -laps MKX MKX
rm /home/fxa/data/laps.cdl
cp /home/fxa/laps_parms/laps.cdl.10km /home/fxa/data/laps.cdl
./mainScript.csh -clipSups -grids MKX MKX
cp ../../localizationDataSets/MKX/Laps.cdlTemplate /data/fxa/Grid/FSL/netCDF/LAPS_Grid/LAPS/template
./mainScript.csh -dataSups MKX MKX

# restart grib decoder - jjg 6/27/2006 #####################################
echo "  Grid Router"
${FXA_HOME}/bin/killProc 'CommsRouter GRID_ROUTER'
${FXA_HOME}/bin/CommsRouter GRID_ROUTER &
sleep 2

# --------------------------------------------------------------------------
# GRIB processes
# --------------------------------------------------------------------------
echo "  Grib Controller"
${FXA_HOME}/bin/killProc 'DataController GRID_ROUTER GribControl'
${FXA_HOME}/bin/killProc GribDecoder
${FXA_HOME}/bin/killProc Grib2Decoder
${FXA_HOME}/bin/DataController GRID_ROUTER GribController.config &

# --------------------------------------------------------------------------
# GRIB Img processes
# --------------------------------------------------------------------------
echo "  GribImg Controller"
${FXA_HOME}/bin/killProc 'DataController GRID_ROUTER GribImgControl'
${FXA_HOME}/bin/killProc GribImgDecoder
${FXA_HOME}/bin/DataController GRID_ROUTER GribImgController.config &
###########################################################################
